///////////////////////
//  eeprom.c  (C18)  //
//  2008/02/21       //
///////////////////////

#include "global.h"

char read_e2rom(uchar addr)
{
	EEADR = addr;
	EECON1bits.EEPGD = 0;
	EECON1bits.CFGS = 0;
	EECON1bits.RD = 1;
	return EEDATA;
}

void write_e2rom(uchar addr, char data)
{
	EEADR = addr;
	EEDATA = data;
	EECON1bits.EEPGD = 0;
	EECON1bits.CFGS = 0;
	EECON1bits.WREN = 1;
	EECON2 = 0x55;
	EECON2 = 0xaa;
	EECON1bits.WR = 1;
}

void lock_e2rom(void){
	EECON1bits.WREN = 0;
}
